#!/bin/csh
# areths.csh -- A very brain-dead script for initializing a Linux system's
# ARP and RARP tables.
#
# /etc/ethers entries must be in the format
# <hw ethernet address> <hostname>
# Examples:
#
# aa:bb:cc:dd:0e:0f hostname1
#
#   is also equivalent to 
#
# aa:bb:cc:dd:e:f hostname1
#
# Any other format or extraneous information for /etc/ethers will confuse and
# break the script.  Don't even bother trying as it would be too easy.

# specify arp and rarp commands to use
set arp  = /sbin/arp
set rarp = /sbin/rarp

# get /etc/ethers contents, ignore comment lines
set etherlist = `grep -v "^#" /etc/ethers`

set i = 1
while ( $i < $#etherlist )
  set eaddr = $etherlist[$i]
  @ i += 1
  set hname = $etherlist[$i]
  @ i += 1
  $arp  -s $hname $eaddr
  $rarp -s $hname $eaddr
end
